---
auto_id: '%n'
auto_constraint_class: '%t'
indicator: submit
auto_fieldset:
  legend: Fieldset Title
elements:
  - type: Text
    name: name
    attributes:
      tabindex: 1

  - type: Select
    name: category
    attributes:
      tabindex: 2

  - type: Fieldset
    legend: Second Fieldset
    elements:
      - type: Hidden
        name: main_count
        constraints:
          - Required

      - type: Repeatable
        name: main_rp
        nested_name: main_rp
        counter_name: main_count
        elements:
          - type: Multi
            elements:
              - type: Text
                name: main_quantity

              - type: Text
                name: main_measure
                  
              - type: Text
                name: main_ingredient

# a lot of other elements

  - type: Submit
    name: submit
